Subject: Re: [PATCH net-next v2 2/7] vxlan: simplify exception handling

From: Jiri Benc <[email-masked]>
Date: Thu, 10 Nov 2016 10:47:03 +0100

On Wed, 9 Nov 2016 19:33:24 -0800, Pravin Shelar wrote:
> I have moved the dst error handling to vxlan_build_skb(), which is
> releasing the dst entry.

Hmm, right, I missed that. But it's weird. The previous logic was
confusing (skb is freed in case of error but not otherwise), I'm with
you on this change. But having the same confusing logic with dst_entry
instead doesn't improve things.

Could we free both skb and dst_entry from the caller?

Thanks,

 Jiri